-- ZUNIFY WEBHOOK
CREATE SEQUENCE ZUNIFY_SEQ_WH START WITH 1 MAXVALUE 9999999 MINVALUE 1 NOCYCLE NOCACHE NOORDER;

CREATE TABLE EKONO.ZUNIFY_WHREGISTER(
    N_ID              NUMBER        NOT NULL PRIMARY KEY,
    C_TRANSACTIONID   VARCHAR2(100) NOT NULL,
    D_DATE            DATE          NOT NULL,
    C_CHARCHECODE     VARCHAR2(36)  NOT NULL,
    N_AMOUNT          DECIMAL       NOT NULL,
    N_DISCOUNT        DECIMAL       NOT NULL,
    C_CURRENCY        VARCHAR2(3)   NOT NULL,
    C_TERMINALCODE    VARCHAR2(16)  NOT NULL
);

CREATE OR REPLACE PROCEDURE EKONO.ADD_ZUNIFY_WH(
    p_C_TRANSACTIONID   VARCHAR2,
    p_C_CHARCHECODE     VARCHAR2,
    p_N_AMOUNT          DECIMAL,
    p_N_DISCOUNT        DECIMAL,
    p_C_CURRENCY        VARCHAR2,
    p_C_TERMINALCODE    VARCHAR2

)
IS

BEGIN 
    INSERT INTO EKONO.ZUNIFY_WHREGISTER(
    N_ID,
    C_TRANSACTIONID,
    D_DATE,
    C_CHARCHECODE,
    N_AMOUNT,
    N_DISCOUNT,
    C_CURRENCY,
    C_TERMINALCODE
    )VALUES(
        EKONO.ZUNIFY_SEQ_WH.NEXTVAL,
        p_C_TRANSACTIONID,
        SYSDATE,
        p_C_CHARCHECODE,
        p_N_AMOUNT,
        p_N_DISCOUNT,
        p_C_CURRENCY,
        p_C_TERMINALCODE    
    );
    
    COMMIT;

END;